Closed Bug 1548847 Opened 9 months ago Closed 8 months ago

Intermittent PROCESS-CRASH | Main app process exited normally | application crashed [@ mozilla::dom::LSDatabase::Observer::Observe(nsISupports *,char const *,char16_t const *)]

Categories

(Core :: Storage: localStorage & sessionStorage, defect, P2, critical)

defect

Tracking

()

RESOLVED FIXED
mozilla68
Tracking Status
firefox-esr60 --- unaffected
firefox67 --- disabled
firefox68 --- fixed

People

(Reporter: intermittent-bug-filer, Assigned: janv)

References

(Blocks 1 open bug)

Details

(Keywords: crash, intermittent-failure, regression)

Crash Data

Attachments

(1 file)

Filed by: archaeopteryx [at] coole-files.de
Parsed log: https://treeherder.mozilla.org/logviewer.html#?job_id=244441988&repo=autoland
Full log: https://queue.taskcluster.net/v1/task/AI3fcehLQMamk3YSaN9iUQ/runs/0/artifacts/public/logs/live_backing.log


10:20:11 INFO - TEST-OK | dom/tests/mochitest/general/test_windowedhistoryframes.html | took 901ms
10:20:11 INFO - GECKO(11680) | ++DOMWINDOW == 80 (00000239DB933800) [pid = 7104] [serial = 280] [outer = 00000239DA0366A0]
10:20:11 INFO - TEST-START | Shutdown
10:20:11 INFO - Passed: 7443
10:20:11 INFO - Failed: 0
10:20:11 INFO - Todo: 3
10:20:11 INFO - Mode: e10s
10:20:11 INFO - Slowest: 25407ms - /tests/dom/tests/mochitest/general/test_bug1012662_editor.html
10:20:11 INFO - SimpleTest FINISHED
10:20:11 INFO - TEST-INFO | Ran 1 Loops
10:20:11 INFO - SimpleTest FINISHED
10:20:11 INFO - GECKO(11680) | ++DOMWINDOW == 81 (00000239DA05F000) [pid = 7104] [serial = 281] [outer = 00000239DA0366A0]
10:20:11 INFO - GECKO(11680) | --DOMWINDOW == 80 (00000239D940EF20) [pid = 7104] [serial = 219] [outer = 0000000000000000] [url = about:blank]
10:20:11 INFO - GECKO(11680) | --DOMWINDOW == 79 (00000239D940E020) [pid = 7104] [serial = 215] [outer = 0000000000000000] [url = about:blank]
10:20:11 INFO - GECKO(11680) | --DOMWINDOW == 78 (00000239D75F4C40) [pid = 7104] [serial = 210] [outer = 0000000000000000] [url = http://mochi.test:8888/tests/dom/tests/mochitest/general/frameSelectEvents.html]
10:20:11 INFO - GECKO(11680) | --DOMWINDOW == 77 (00000239DA07C7A0) [pid = 7104] [serial = 200] [outer = 0000000000000000] [url = http://mochi.test:8888/tests/dom/base/test/file_empty.html]
10:20:11 INFO - GECKO(11680) | --DOMWINDOW == 76 (00000239DA04BC40) [pid = 7104] [serial = 199] [outer = 0000000000000000] [url = http://mochi.test:8888/tests/dom/base/test/file_empty.html]
10:20:11 INFO - GECKO(11680) | --DOMWINDOW == 75 (00000239D94ECD40) [pid = 7104] [serial = 241] [outer = 0000000000000000] [url = about:blank]
10:20:11 INFO - GECKO(11680) | --DOMWINDOW == 74 (00000239DA0364C0) [pid = 7104] [serial = 243] [outer = 0000000000000000] [url = http://mochi.test:8888/tests/dom/tests/mochitest/general/window_storagePermissions.html]
10:20:11 INFO - GECKO(11680) | --DOMWINDOW == 73 (00000239D94EC5C0) [pid = 7104] [serial = 230] [outer = 0000000000000000] [url = about:blank]
10:20:11 INFO - GECKO(11680) | --DOMWINDOW == 72 (00000239D940F2E0) [pid = 7104] [serial = 246] [outer = 0000000000000000] [url = https://example.com/tests/dom/tests/mochitest/general/frameStorageChrome.html?allowed=no&blockSessionStorage=yes]
10:20:11 INFO - GECKO(11680) | --DOMWINDOW == 71 (00000239DC3BB880) [pid = 7104] [serial = 235] [outer = 0000000000000000] [url = https://example.com/tests/dom/tests/mochitest/general/frameStorageChrome.html?allowed=no]
10:20:11 INFO - GECKO(11680) | --DOMWINDOW == 70 (00000239DB3B7100) [pid = 7104] [serial = 224] [outer = 0000000000000000] [url = https://example.com/tests/dom/tests/mochitest/general/frameStorageChrome.html?allowed=yes]
10:20:11 INFO - GECKO(11680) | --DOMWINDOW == 69 (00000239D7B807A0) [pid = 7104] [serial = 232] [outer = 0000000000000000] [url = http://mochi.test:8888/tests/dom/tests/mochitest/general/window_storagePermissions.html]
10:20:11 INFO - GECKO(11680) | --DOCSHELL 00000239D9478800 == 5 [pid = 7104] [id = {3a8c92b2-fa80-4303-ad78-a1a48d068234}] [url = http://mochi.test:8888/tests/dom/tests/mochitest/general/frameSelectEvents.html]
10:20:11 INFO - GECKO(11680) | --DOMWINDOW == 68 (00000239D940FC40) [pid = 7104] [serial = 221] [outer = 0000000000000000] [url = http://mochi.test:8888/tests/dom/tests/mochitest/general/window_storagePermissions.html]
10:20:11 INFO - GECKO(11680) | [GPU 1144, Compositor] WARNING: Possibly dropping task posted to updater thread: file z:/build/build/src/gfx/layers/apz/src/APZUpdater.cpp, line 424
10:20:11 INFO - GECKO(11680) | [Parent 10572, Gecko_IOThread] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 341
10:20:11 INFO - GECKO(11680) | [Child 8552, Chrome_ChildThread] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 341
10:20:11 INFO - GECKO(11680) | [Child 8552, Chrome_ChildThread] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 341
10:20:11 INFO - GECKO(11680) | --DOCSHELL 000002443EED2800 == 4 [pid = 10572] [id = {bab20232-2e17-4fe7-9657-4cea2c19c625}] [url = about:blank]
10:20:11 INFO - GECKO(11680) | [Parent 10572, Gecko_IOThread] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 341
10:20:11 INFO - GECKO(11680) | [Parent 10572, Gecko_IOThread] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 341
10:20:11 INFO - GECKO(11680) | [Child 7104, Chrome_ChildThread] [WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channGPU 1144, Chrome_ChildThread] WARNING: pipe error: 10el_win.cc, line 341
10:20:11 INFO - GECKO(11680) | 9: file z:/build/bui[Child 7104, Chrome_ChildThread] WARNING: pild/src/pe error: 109: file z:/ibuild/build/src/ipcpc/chromiu/chromium/m/src/src/c
10:20:11 INFO - GECKO(11680) | ###!!! [Child][MessageChannel] Error: (msgtype=0x350117,name=PContent::Msg_StoreUserInteractionAsPermission) Closed channel: cannot send/recv
10:20:11 INFO - GECKO(11680) | chrome/comhrmon/ipc_choannel_win.cme/common/ipc_channel_c, line 341
10:20:11 INFO - GECKO(11680) | win.cc, li[Chilne d 7104,341
10:20:11 INFO - GECKO(11680) | Main Thread] WARNING: MsgDropped in ContentChild: fil[e z:/build/build/src/domG/ipc/ContentChild.cpp, line 2314
10:20:11 INFO - GECKO(11680) | PU 1144, Chrome_ChildThread] WARNING: pipe error: 109: file z:/bui
10:20:11 INFO - GECKO(11680) | ###!!! [Parent][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost
10:20:11 INFO - GECKO(11680) | ld/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 341
10:20:11 INFO - GECKO(11680) | [GPU 1144, Chrome_ChildThread] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 341
10:20:11 INFO - GECKO(11680) | [GPU 1144, Chrome_ChildThread] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 341
10:20:11 INFO - GECKO(11680) | [Parent 10572, Gecko_IOThread] WARNING: pipe error: 109: fiAsselerti z:on failure: gLSDa/tbabauses, at zild/bu:/build/build/src/dom/locialstorage/LSDatabasel.cpp:d/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 341
10:20:11 INFO - GECKO(11680) | 368
10:20:11 INFO - GECKO(11680) | [Parent 10572, Gecko_IOThread] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 341
10:20:12 INFO - GECKO(11680) | --DOCSHELL 0000014285F4F000 == 3 [pid = 8552] [id = {c544c6d0-0b18-4b7c-83ec-274de01e86a5}] [url = moz-extension://f8ed0a82-0610-42b5-9650-12d81cc0e3e4/_generated_background_page.html]
10:20:12 INFO - GECKO(11680) | --DOCSHELL 0000014285F51000 == 2 [pid = 8552] [id = {238f586e-9c07-49b4-b05c-5e3c88e5c1f7}] [url = moz-extension://f92baf3f-a14a-4dc2-a8ac-0ee7893d86bd/_generated_background_page.html]
10:20:12 INFO - GECKO(11680) | --DOCSHELL 0000014285F53000 == 1 [pid = 8552] [id = {4ceb9348-3230-4743-ac9f-46c83b87d105}] [url = moz-extension://ea94f45c-6df3-475a-8580-0b9af712c08a/_generated_background_page.html]
10:20:12 INFO - GECKO(11680) | --DOCSHELL 0000014285F4C800 == 0 [pid = 8552] [id = {906f9ac2-5540-4fa8-a2c5-2d84d26c7a78}] [url = moz-extension://ce772f4a-436b-4a8d-b697-ecaf6ee3e997/_generated_background_page.html]
10:20:12 INFO - GECKO(11680) | --DOMWINDOW == 7 (000001428C92A7A0) [pid = 8552] [serial = 4] [outer = 0000000000000000] [url = moz-extension://ea94f45c-6df3-475a-8580-0b9af712c08a/_generated_background_page.html]
10:20:12 INFO - GECKO(11680) | --DOMWINDOW == 6 (000001428C92A5C0) [pid = 8552] [serial = 3] [outer = 0000000000000000] [url = moz-extension://f92baf3f-a14a-4dc2-a8ac-0ee7893d86bd/_generated_background_page.html]
10:20:12 INFO - GECKO(11680) | --DOMWINDOW == 5 (000001428C92A3E0) [pid = 8552] [serial = 2] [outer = 0000000000000000] [url = moz-extension://f8ed0a82-0610-42b5-9650-12d81cc0e3e4/_generated_background_page.html]
10:20:12 INFO - GECKO(11680) | --DOMWINDOW == 4 (000001428C92A020) [pid = 8552] [serial = 1] [outer = 0000000000000000] [url = moz-extension://ce772f4a-436b-4a8d-b697-ecaf6ee3e997/_generated_background_page.html]
10:20:12 INFO - GECKO(11680) | --DOMWINDOW == 3 (000001428DD29000) [pid = 8552] [serial = 13] [outer = 0000000000000000] [url = moz-extension://f92baf3f-a14a-4dc2-a8ac-0ee7893d86bd/_generated_background_page.html]
10:20:12 INFO - GECKO(11680) | --DOMWINDOW == 2 (000001428DD2A000) [pid = 8552] [serial = 14] [outer = 0000000000000000] [url = moz-extension://ea94f45c-6df3-475a-8580-0b9af712c08a/_generated_background_page.html]
10:20:12 INFO - GECKO(11680) | --DOMWINDOW == 1 (000001428DD26400) [pid = 8552] [serial = 11] [outer = 0000000000000000] [url = moz-extension://ce772f4a-436b-4a8d-b697-ecaf6ee3e997/_generated_background_page.html]
10:20:12 INFO - GECKO(11680) | --DOMWINDOW == 0 (000001428DD27C00) [pid = 8552] [serial = 12] [outer = 0000000000000000] [url = moz-extension://f8ed0a82-0610-42b5-9650-12d81cc0e3e4/_generated_background_page.html]
10:20:36 INFO - GECKO(11680) | #01: nsObserverService::NotifyObservers(nsISupports *,char const *,char16_t const *) [xpcom/ds/nsObserverService.cpp:298]
10:20:36 INFO -
10:20:36 INFO - GECKO(11680) | #02: mozilla::ShutdownXPCOM(nsIServiceManager *) [xpcom/build/XPCOMInit.cpp:619]
10:20:36 INFO -
10:20:36 INFO - GECKO(11680) | #03: XRE_TermEmbedding() [toolkit/xre/nsEmbedFunctions.cpp:223]
10:20:36 INFO -
10:20:36 INFO - GECKO(11680) | #04: mozilla::ipc::ScopedXREEmbed::Stop() [ipc/glue/ScopedXREEmbed.cpp:91]
10:20:36 INFO -
10:20:36 INFO - GECKO(11680) | #05: XRE_InitChildProcess(int,char * * const,XREChildData const *) [toolkit/xre/nsEmbedFunctions.cpp:762]
10:20:36 INFO -
10:20:36 INFO - GECKO(11680) | #06: NS_internal_main(int,char * *,char * *) [browser/app/nsBrowserApp.cpp:263]
10:20:36 INFO -
10:20:36 INFO - GECKO(11680) | #07: wmain [toolkit/xre/nsWindowsWMain.cpp:131]
10:20:36 INFO -
10:20:36 INFO - GECKO(11680) | #08: static int __scrt_common_main_seh() [f:/dd/vctools/crt/vcstartup/src/startup/exe_common.inl:288]
10:20:36 INFO -
10:20:36 INFO - GECKO(11680) | #09: KERNEL32.DLL + 0x13034
10:20:36 INFO -
10:20:36 INFO - GECKO(11680) | #10: ntdll.dll + 0x71461
10:20:36 INFO -
10:20:36 INFO - GECKO(11680) | nsStringStats
10:20:36 INFO - GECKO(11680) | => mAllocCount: 16679
10:20:36 INFO - GECKO(11680) | => mReallocCount: 0
10:20:36 INFO - GECKO(11680) | => mFreeCount: 16679
10:20:36 INFO - GECKO(11680) | => mShareCount: 8979
10:20:36 INFO - GECKO(11680) | => mAdoptCount: 538
10:20:36 INFO - GECKO(11680) | => mAdoptFreeCount: 568
10:20:36 INFO - GECKO(11680) | => Process ID: 8552, Thread ID: 1492
10:20:36 INFO - GECKO(11680) | --DOCSHELL 000002443C15E000 == 3 [pid = 10572] [id = {1da91562-d6d2-4980-9d23-aa57c8ca8772}] [url = resource://gre-resources/hiddenWindow.html]
10:20:36 INFO - GECKO(11680) | [Parent 10572, Gecko_IOThread] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 341
10:20:36 INFO - GECKO(11680) | [Child 2120, Chrome_ChildThread] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 341
10:20:36 INFO - GECKO(11680) | [Child 2120, Chrome_ChildThread] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 341
10:20:36 INFO - GECKO(11680) | --DOCSHELL 000002443F757800 == 2 [pid = 10572] [id = {f9dcf995-012d-4b27-baba-9987e3799023}] [url = chrome://extensions/content/dummy.xul]
10:20:36 INFO - GECKO(11680) | [Parent 10572, Gecko_IOThread] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 341
10:20:36 INFO - GECKO(11680) | [GPU 1144, Chrome_ChildThread] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 341
10:20:36 INFO - GECKO(11680) | [GPU 1144, Chrome_ChildThread] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 341
10:20:36 INFO - GECKO(11680) | ###!!! [Parent][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost
10:20:36 INFO - GECKO(11680) | [GPU 1144, Chrome_ChildThread] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 341
10:20:36 INFO - GECKO(11680) | [GPU 1144, Chrome_ChildThread] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 341
10:20:36 INFO - GECKO(11680) | [Parent 10572, Gecko_IOThread] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 341
10:20:36 INFO - GECKO(11680) | [Parent 10572, Gecko_IOThread] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 341
10:20:36 INFO - GECKO(11680) | [Parent 10572, Gecko_IOThread] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 341
10:20:36 INFO - GECKO(11680) | [Child 1252, Chrome_ChildThread] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 341
10:20:36 INFO - GECKO(11680) | [Child 1252, Chrome_ChildThread] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 341
10:20:36 INFO - GECKO(11680) | [Parent 10572, Gecko_IOThread] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 341
10:20:36 INFO - GECKO(11680) | [GPU 1144, Chrome_ChildThread] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 341
10:20:36 INFO - GECKO(11680) | [GPU 1144, Chrome_ChildThread] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 341
10:20:36 INFO - GECKO(11680) | ###!!! [Parent][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost
10:20:36 INFO - GECKO(11680) | [GPU 1144, Chrome_ChildThread] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 341
10:20:36 INFO - GECKO(11680) | [GPU 1144, Chrome_ChildThread] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 341
10:20:36 INFO - GECKO(11680) | [Parent 10572, Gecko_IOThread] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 341
10:20:36 INFO - GECKO(11680) | [Parent 10572, Gecko_IOThread] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 341
10:20:36 INFO - GECKO(11680) | --DOCSHELL 000001A6F5E4C800 == 0 [pid = 2120] [id = {270ce5b9-6a5e-4e0b-a9cb-9e87dca13bb1}] [url = about:newtab]
10:20:36 INFO - GECKO(11680) | nsStringStats
10:20:36 INFO - GECKO(11680) | => mAllocCount: 8221
10:20:36 INFO - GECKO(11680) | => mReallocCount: 0
10:20:36 INFO - GECKO(11680) | => mFreeCount: 8221
10:20:36 INFO - GECKO(11680) | => mShareCount: 5412
10:20:36 INFO - GECKO(11680) | => mAdoptCount: 350
10:20:36 INFO - GECKO(11680) | => mAdoptFreeCount: 350
10:20:36 INFO - GECKO(11680) | => Process ID: 1252, Thread ID: 2004
10:20:36 INFO - GECKO(11680) | --DOMWINDOW == 1 (000001A6FC809020) [pid = 2120] [serial = 1] [outer = 0000000000000000] [url = about:newtab]
10:20:36 INFO - GECKO(11680) | --DOMWINDOW == 0 (000001A6FC853400) [pid = 2120] [serial = 3] [outer = 0000000000000000] [url = about:newtab]
10:20:36 INFO - GECKO(11680) | nsStringStats
10:20:36 INFO - GECKO(11680) | => mAllocCount: 13113
10:20:36 INFO - GECKO(11680) | => mReallocCount: 0
10:20:36 INFO - GECKO(11680) | => mFreeCount: 13113
10:20:36 INFO - GECKO(11680) | => mShareCount: 14373
10:20:36 INFO - GECKO(11680) | => mAdoptCount: 610
10:20:36 INFO - GECKO(11680) | => mAdoptFreeCount: 614
10:20:36 INFO - GECKO(11680) | => Process ID: 2120, Thread ID: 11224
10:20:36 INFO - GECKO(11680) | 1556878812717 Marionette TRACE Received observer notification xpcom-will-shutdown
10:20:36 INFO - GECKO(11680) | 1556878812717 Marionette INFO Stopped listening on port 2828
10:20:36 INFO - GECKO(11680) | 1556878812718 Marionette DEBUG Remote service is inactive
10:20:36 INFO - GECKO(11680) | [Parent 10572, Main Thread] WARNING: NS_ENSURE_TRUE(mDB) failed: file z:/build/build/src/netwerk/cache/nsDiskCacheDeviceSQL.cpp, line 1285
10:20:36 INFO - GECKO(11680) | [GPU 1144, Chrome_ChildThread] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 341
10:20:36 INFO - GECKO(11680) | [GPU 1144, Chrome_ChildThread] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/co
10:20:36 INFO - GECKO(11680) | ###!!! [Child][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost
10:20:36 INFO - GECKO(11680) | mmon/ipc_channel_win.cc, line 341
10:20:36 INFO - GECKO(11680) | [Parent 10572, Gecko_IOThread] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 341
10:20:36 INFO - GECKO(11680) | [GPU 1144, Chrome_ChildThread] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 341
10:20:36 INFO - GECKO(11680) | [GPU 1144, Chrome_ChildThread] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 341
10:20:36 INFO - GECKO(11680) | WARN 2019-05-03T10:20:13Z: webrender_bindings::bindings: Could not find symbol "glBlendBarrierKHR" by glcontext
10:20:36 INFO - GECKO(11680) | WARN 2019-05-03T10:20:13Z: webrender_bindings::bindings: Could not find symbol "glCopyImageSubDataEXT" by glcontext
10:20:36 INFO - GECKO(11680) | WARN 2019-05-03T10:20:13Z: webrender_bindings::bindings: Could not find symbol "glDebugMessageCallback" by glcontext
10:20:36 INFO - GECKO(11680) | WARN 2019-05-03T10:20:13Z: webrender_bindings::bindings: Could not find symbol "glDebugMessageCallbackARB" by glcontext
10:20:36 INFO - GECKO(11680) | WARN 2019-05-03T10:20:13Z: webrender_bindings::bindings: Could not find symbol "glDebugMessageControl" by glcontext
10:20:36 INFO - GECKO(11680) | WARN 2019-05-03T10:20:13Z: webrender_bindings::bindings: Could not find symbol "glDebugMessageControlARB" by glcontext
10:20:36 INFO - GECKO(11680) | WARN 2019-05-03T10:20:13Z: webrender_bindings::bindings: Could not find symbol "glDebugMessageInsert" by glcontext
10:20:36 INFO - GECKO(11680) | WARN 2019-05-03T10:20:13Z: webrender_bindings::bindings: Could not find symbol "glDebugMessageInsertARB" by glcontext
10:20:36 INFO - GECKO(11680) | WARN 2019-05-03T10:20:13Z: webrender_bindings::bindings: Could not find symbol "glGetDebugMessageLog" by glcontext
10:20:36 INFO - GECKO(11680) | WARN 2019-05-03T10:20:13Z: webrender_bindings::bindings: Could not find symbol "glGetDebugMessageLogARB" by glcontext
10:20:36 INFO - GECKO(11680) | WARN 2019-05-03T10:20:13Z: webrender_bindings::bindings: Could not find symbol "glGetObjectLabel" by glcontext
10:20:36 INFO - GECKO(11680) | WARN 2019-05-03T10:20:13Z: webrender_bindings::bindings: Could not find symbol "glGetObjectPtrLabel" by glcontext
10:20:36 INFO - GECKO(11680) | WARN 2019-05-03T10:20:13Z: webrender_bindings::bindings: Could not find symbol "glObjectLabel" by glcontext
10:20:36 INFO - GECKO(11680) | WARN 2019-05-03T10:20:13Z: webrender_bindings::bindings: Could not find symbol "glObjectPtrLabel" by glcontext
10:20:36 INFO - GECKO(11680) | WARN 2019-05-03T10:20:13Z: webrender_bindings::bindings: Could not find symbol "glPopDebugGroup" by glcontext
10:20:36 INFO - GECKO(11680) | WARN 2019-05-03T10:20:13Z: webrender_bindings::bindings: Could not find symbol "glPushDebugGroup" by glcontext
10:20:36 INFO - GECKO(11680) | WARN 2019-05-03T10:20:13Z: webrender_bindings::bindings: Could not find symbol "glTextureStorage1DEXT" by glcontext
10:20:36 INFO - GECKO(11680) | WARN 2019-05-03T10:20:13Z: webrender_bindings::bindings: Could not find symbol "glTextureStorage2DEXT" by glcontext
10:20:36 INFO - GECKO(11680) | WARN 2019-05-03T10:20:13Z: webrender_bindings::bindings: Could not find symbol "glTextureStorage3DEXT" by glcontext
10:20:36 INFO - GECKO(11680) | Destroying context 0000029C48231000 surface 0000029C3BC5B160 on display 0000029C3BCCA040
10:20:36 INFO - GECKO(11680) | nsStringStats
10:20:36 INFO - GECKO(11680) | => mAllocCount: 2358
10:20:36 INFO - GECKO(11680) | => mReallocCount: 0
10:20:36 INFO - GECKO(11680) | => mFreeCount: 2358
10:20:36 INFO - GECKO(11680) | => mShareCount: 4116
10:20:36 INFO - GECKO(11680) | => mAdoptCount: 0
10:20:36 INFO - GECKO(11680) | => mAdoptFreeCount: 0
10:20:36 INFO - GECKO(11680) | => Process ID: 1144, Thread ID: 132
10:20:36 INFO - GECKO(11680) | --DOCSHELL 000002443C15B000 == 1 [pid = 10572] [id = {41078db1-53a8-4977-83ae-117c9bf6c3d8}] [url = chrome://browser/content/browser.xul]
10:20:36 INFO - GECKO(11680) | --DOCSHELL 000002443E735800 == 0 [pid = 10572] [id = {76f48f33-eb44-40fd-af6e-a9b685eed384}] [url = chrome://browser/content/browser.xul]
10:20:36 INFO - GECKO(11680) | --DOMWINDOW == 13 (0000024443917400) [pid = 10572] [serial = 20] [outer = 0000000000000000] [url = about:blank]
10:20:36 INFO - GECKO(11680) | --DOMWINDOW == 12 (00000244424AB800) [pid = 10572] [serial = 18] [outer = 0000000000000000] [url = about:blank]
10:20:36 INFO - GECKO(11680) | --DOMWINDOW == 11 (000002443AD85C00) [pid = 10572] [serial = 2] [outer = 0000000000000000] [url = about:blank]
10:20:36 INFO - GECKO(11680) | --DOMWINDOW == 10 (000002443B0E0100) [pid = 10572] [serial = 3] [outer = 0000000000000000] [url = chrome://browser/content/browser.xul]
10:20:36 INFO - GECKO(11680) | --DOMWINDOW == 9 (0000024440E232E0) [pid = 10572] [serial = 19] [outer = 0000000000000000] [url = about:blank]
10:20:36 INFO - GECKO(11680) | --DOMWINDOW == 8 (000002443E6E57A0) [pid = 10572] [serial = 17] [outer = 0000000000000000] [url = chrome://browser/content/browser.xul]
10:20:36 INFO - GECKO(11680) | --DOMWINDOW == 7 (000002443E6E5200) [pid = 10572] [serial = 10] [outer = 0000000000000000] [url = resource://gre-resources/hiddenWindow.html]
10:20:36 INFO - GECKO(11680) | --DOMWINDOW == 6 (000002443EF45100) [pid = 10572] [serial = 6] [outer = 0000000000000000] [url = chrome://extensions/content/dummy.xul]
10:20:36 INFO - GECKO(11680) | --DOMWINDOW == 5 (000002443B0E0E20) [pid = 10572] [serial = 5] [outer = 0000000000000000] [url = about:blank]
10:20:36 INFO - GECKO(11680) | --DOMWINDOW == 4 (000002443B0DF7A0) [pid = 10572] [serial = 1] [outer = 0000000000000000] [url = chrome://gfxsanity/content/sanityparent.html]
10:20:36 INFO - GECKO(11680) | --DOMWINDOW == 3 (0000024441287C00) [pid = 10572] [serial = 9] [outer = 0000000000000000] [url = about:blank]
10:20:36 INFO - GECKO(11680) | --DOMWINDOW == 2 (000002443F9B6C00) [pid = 10572] [serial = 8] [outer = 0000000000000000] [url = chrome://extensions/content/dummy.xul]
10:20:36 INFO - GECKO(11680) | --DOMWINDOW == 1 (000002442EC13000) [pid = 10572] [serial = 4] [outer = 0000000000000000] [url = about:blank]
10:20:36 INFO - GECKO(11680) | --DOMWINDOW == 0 (000002444145B000) [pid = 10572] [serial = 12] [outer = 0000000000000000] [url = resource://gre-resources/hiddenWindow.html]
10:20:36 INFO - GECKO(11680) | nsStringStats
10:20:36 INFO - GECKO(11680) | => mAllocCount: 394022
10:20:36 INFO - GECKO(11680) | => mReallocCount: 1
10:20:36 INFO - GECKO(11680) | => mFreeCount: 394022
10:20:36 INFO - GECKO(11680) | => mShareCount: 335966
10:20:36 INFO - GECKO(11680) | => mAdoptCount: 5743
10:20:36 INFO - GECKO(11680) | => mAdoptFreeCount: 7859
10:20:36 INFO - GECKO(11680) | => Process ID: 10572, Thread ID: 11504
10:20:36 INFO - TEST-INFO | Main app process: exit 0
10:20:36 INFO - runtests.py | Application ran for: 0:02:05.228000
10:20:36 INFO - zombiecheck | Reading PID log: c:\users\task_1556874663\appdata\local\temp\tmp1tcvknpidlog
10:20:36 INFO - ==> process 10572 launched child process 1144 ("Z:\task_1556874663\build\application\firefox\firefox.exe" -contentproc --channel="10572.0.1598692625\1135900605" -parentBuildID 20190503082609 -greomni "Z:\task_1556874663\build\application\firefox\omni.ja" -appomni "Z:\task_1556874663\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1556874663\build\application\firefox\browser" - 10572 "\.\pipe\gecko-crash-server-pipe.10572" 2004 gpu)
10:20:36 INFO - ==> process 10572 launched child process 1252 ("Z:\task_1556874663\build\application\firefox\firefox.exe" -contentproc --channel="10572.6.209914591\2140100728" -childID 1 -isForBrowser -prefsHandle 2756 -prefMapHandle 2752 -prefsLen 1 -prefMapSize 199480 -parentBuildID 20190503082609 -greomni "Z:\task_1556874663\build\application\firefox\omni.ja" -appomni "Z:\task_1556874663\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1556874663\build\application\firefox\browser" - 10572 "\.\pipe\gecko-crash-server-pipe.10572" 2788 tab)
10:20:36 INFO - ==> process 10572 launched child process 8552 ("Z:\task_1556874663\build\application\firefox\firefox.exe" -contentproc --channel="10572.13.1170834951\861314521" -childID 2 -isForBrowser -prefsHandle 1904 -prefMapHandle 2752 -prefsLen 159 -prefMapSize 199480 -parentBuildID 20190503082609 -greomni "Z:\task_1556874663\build\application\firefox\omni.ja" -appomni "Z:\task_1556874663\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1556874663\build\application\firefox\browser" - 10572 "\.\pipe\gecko-crash-server-pipe.10572" 3056 tab)
10:20:36 INFO - ==> process 10572 launched child process 7104 ("Z:\task_1556874663\build\application\firefox\firefox.exe" -contentproc --channel="10572.20.806602618\1809232140" -childID 3 -isForBrowser -prefsHandle 3184 -prefMapHandle 3188 -prefsLen 159 -prefMapSize 199480 -parentBuildID 20190503082609 -greomni "Z:\task_1556874663\build\application\firefox\omni.ja" -appomni "Z:\task_1556874663\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1556874663\build\application\firefox\browser" - 10572 "\.\pipe\gecko-crash-server-pipe.10572" 3128 tab)
10:20:36 INFO - ==> process 10572 launched child process 2120 ("Z:\task_1556874663\build\application\firefox\firefox.exe" -contentproc --channel="10572.27.1964950771\879316485" -childID 4 -isForBrowser -prefsHandle 4180 -prefMapHandle 4184 -prefsLen 9255 -prefMapSize 199480 -parentBuildID 20190503082609 -greomni "Z:\task_1556874663\build\application\firefox\omni.ja" -appomni "Z:\task_1556874663\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1556874663\build\application\firefox\browser" - 10572 "\.\pipe\gecko-crash-server-pipe.10572" 4208 tab)
10:20:36 INFO - zombiecheck | Checking for orphan process with PID: 1144
10:20:36 INFO - zombiecheck | Checking for orphan process with PID: 8552
10:20:36 INFO - zombiecheck | Checking for orphan process with PID: 7104
10:20:36 INFO - zombiecheck | Checking for orphan process with PID: 1252
10:20:36 INFO - zombiecheck | Checking for orphan process with PID: 2120
10:20:36 INFO - mozcrash Copy/paste: Z:\task_1556874663\build\win32-minidump_stackwalk.exe c:\users\task_1556874663\appdata\local\temp\tmpazrk9p.mozrunner\minidumps\b098de7f-6a60-4f0d-b0a8-2eac9f5c79b4.dmp Z:\task_1556874663\build\symbols
10:20:47 INFO - mozcrash Saved minidump as Z:\task_1556874663\build\blobber_upload_dir\b098de7f-6a60-4f0d-b0a8-2eac9f5c79b4.dmp
10:20:47 INFO - mozcrash Saved app info as Z:\task_1556874663\build\blobber_upload_dir\b098de7f-6a60-4f0d-b0a8-2eac9f5c79b4.extra
10:20:47 INFO - PROCESS-CRASH | Main app process exited normally | application crashed [@ mozilla::dom::LSDatabase::Observer::Observe(nsISupports *,char const *,char16_t const *)]
10:20:47 INFO - Crash dump filename: c:\users\task_1556874663\appdata\local\temp\tmpazrk9p.mozrunner\minidumps\b098de7f-6a60-4f0d-b0a8-2eac9f5c79b4.dmp
10:20:47 INFO - Operating system: Windows NT
10:20:47 INFO - 10.0.17134
10:20:47 INFO - CPU: amd64
10:20:47 INFO - family 6 model 79 stepping 1
10:20:47 INFO - 16 CPUs
10:20:47 INFO -
10:20:47 INFO - GPU: UNKNOWN
10:20:47 INFO -
10:20:47 INFO - Crash reason: EXCEPTION_BREAKPOINT
10:20:47 INFO - Crash address: 0x7ffd5055eec8
10:20:47 INFO - Assertion: Unknown assertion type 0x00000000
10:20:47 INFO - Process uptime: 98 seconds
10:20:47 INFO -
10:20:47 INFO - Thread 0 (crashed)
10:20:47 INFO - 0 xul.dll!mozilla::dom::LSDatabase::Observer::Observe(nsISupports *,char const *,char16_t const *) [LSDatabase.cpp:de1a60c3fbf2078321aa69300a3ee0c277ea59bc : 368 + 0x0]
10:20:47 INFO - rax = 0x00007ffd5475b82b rdx = 0x00007ffd957aa640
10:20:47 INFO - rcx = 0x00007ffd86675b00 rbx = 0x00000239d195b328
10:20:47 INFO - rsi = 0x00007ffd53eccaba rdi = 0x00007ffd53eccaba
10:20:47 INFO - rbp = 0x00007ffd53eccaba rsp = 0x00000090345ff570
10:20:47 INFO - r8 = 0x00000090345f96c8 r9 = 0x00000090345face0
10:20:47 INFO - r10 = 0x0000000000000000 r11 = 0x00000090345fabf0
10:20:47 INFO - r12 = 0x00007ffd5564e268 r13 = 0x00007ffd86635c20
10:20:47 INFO - r14 = 0x0000000000000000 r15 = 0x00000090345ff638
10:20:47 INFO - rip = 0x00007ffd5055eec8
10:20:47 INFO - Found by: given as instruction pointer in context
10:20:47 INFO - 1 xul.dll!nsObserverList::NotifyObservers(nsISupports *,char const *,char16_t const *) [nsObserverList.cpp:de1a60c3fbf2078321aa69300a3ee0c277ea59bc : 66 + 0xf]
10:20:47 INFO - rbx = 0x00000239d195b328 rbp = 0x00007ffd53eccaba
10:20:47 INFO - rsp = 0x00000090345ff610 r12 = 0x00007ffd5564e268
10:20:47 INFO - r13 = 0x00007ffd86635c20 r14 = 0x0000000000000000
10:20:47 INFO - r15 = 0x00000090345ff638 rip = 0x00007ffd4c730eff
10:20:47 INFO - Found by: call frame info
10:20:47 INFO - 2 xul.dll!nsObserverService::NotifyObservers(nsISupports *,char const *,char16_t const *) [nsObserverService.cpp:de1a60c3fbf2078321aa69300a3ee0c277ea59bc : 295 + 0x11]
10:20:47 INFO - rbx = 0x00000239d195b328 rbp = 0x00007ffd53eccaba
10:20:47 INFO - rsp = 0x00000090345ff680 r12 = 0x00007ffd5564e268
10:20:47 INFO - r13 = 0x00007ffd86635c20 r14 = 0x0000000000000000
10:20:47 INFO - r15 = 0x00000090345ff638 rip = 0x00007ffd4c73a0d1
10:20:47 INFO - Found by: call frame info
10:20:47 INFO - 3 xul.dll!mozilla::ShutdownXPCOM(nsIServiceManager *) [XPCOMInit.cpp:de1a60c3fbf2078321aa69300a3ee0c277ea59bc : 614 + 0xf]
10:20:47 INFO - rbx = 0x00000239d195b328 rbp = 0x00007ffd53eccaba
10:20:47 INFO - rsp = 0x00000090345ff7b0 r12 = 0x00007ffd5564e268
10:20:47 INFO - r13 = 0x00007ffd86635c20 r14 = 0x0000000000000000
10:20:47 INFO - r15 = 0x00000090345ff638 rip = 0x00007ffd4c814245
10:20:47 INFO - Found by: call frame info
10:20:47 INFO - 4 xul.dll!XRE_TermEmbedding() [nsEmbedFunctions.cpp:de1a60c3fbf2078321aa69300a3ee0c277ea59bc : 222 + 0x7]
10:20:47 INFO - rbx = 0x00000239d195b328 rbp = 0x00007ffd53eccaba
10:20:47 INFO - rsp = 0x00000090345ff820 r12 = 0x00007ffd5564e268
10:20:47 INFO - r13 = 0x00007ffd86635c20 r14 = 0x0000000000000000
10:20:47 INFO - r15 = 0x00000090345ff638 rip = 0x00007ffd51fc5cda
10:20:47 INFO - Found by: call frame info
10:20:47 INFO - 5 xul.dll!mozilla::ipc::ScopedXREEmbed::Stop() [ScopedXREEmbed.cpp:de1a60c3fbf2078321aa69300a3ee0c277ea59bc : 90 + 0x8]
10:20:47 INFO - rbx = 0x00000239d195b328 rbp = 0x00007ffd53eccaba
10:20:47 INFO - rsp = 0x00000090345ff860 r12 = 0x00007ffd5564e268
10:20:47 INFO - r13 = 0x00007ffd86635c20 r14 = 0x0000000000000000
10:20:47 INFO - r15 = 0x00000090345ff638 rip = 0x00007ffd4cf573d2
10:20:47 INFO - Found by: call frame info
10:20:47 INFO - 6 xul.dll!XRE_InitChildProcess(int,char * * const,XREChildData const *) [nsEmbedFunctions.cpp:de1a60c3fbf2078321aa69300a3ee0c277ea59bc : 761 + 0x9]
10:20:47 INFO - rbx = 0x00000239d195b328 rbp = 0x00007ffd53eccaba
10:20:47 INFO - rsp = 0x00000090345ff890 r12 = 0x00007ffd5564e268
10:20:47 INFO - r13 = 0x00007ffd86635c20 r14 = 0x0000000000000000
10:20:47 INFO - r15 = 0x00000090345ff638 rip = 0x00007ffd51fc6861
10:20:47 INFO - Found by: call frame info
10:20:47 INFO - 7 firefox.exe!NS_internal_main(int,char * *,char * *) [nsBrowserApp.cpp:de1a60c3fbf2078321aa69300a3ee0c277ea59bc : 263 + 0x7f]
10:20:47 INFO - rbx = 0x00000239d195b328 rbp = 0x00007ffd53eccaba
10:20:47 INFO - rsp = 0x00000090345ffb20 r12 = 0x00007ffd5564e268
10:20:47 INFO - r13 = 0x00007ffd86635c20 r14 = 0x0000000000000000
10:20:47 INFO - r15 = 0x00000090345ff638 rip = 0x00007ff7645d154e
10:20:47 INFO - Found by: call frame info
10:20:47 INFO - 8 firefox.exe!wmain [nsWindowsWMain.cpp:de1a60c3fbf2078321aa69300a3ee0c277ea59bc : 131 + 0x15]
10:20:47 INFO - rbx = 0x00000239d195b328 rbp = 0x00007ffd53eccaba
10:20:47 INFO - rsp = 0x00000090345ffcc0 r12 = 0x00007ffd5564e268
10:20:47 INFO - r13 = 0x00007ffd86635c20 r14 = 0x0000000000000000
10:20:47 INFO - r15 = 0x00000090345ff638 rip = 0x00007ff7645d1232
10:20:47 INFO - Found by: call frame info
10:20:47 INFO - 9 firefox.exe!static int __scrt_common_main_seh() [exe_common.inl : 288 + 0x22]
10:20:47 INFO - rbx = 0x00000239d195b328 rbp = 0x00007ffd53eccaba
10:20:47 INFO - rsp = 0x00000090345ffd80 r12 = 0x00007ffd5564e268
10:20:47 INFO - r13 = 0x00007ffd86635c20 r14 = 0x0000000000000000
10:20:47 INFO - r15 = 0x00000090345ff638 rip = 0x00007ff76464b748
10:20:47 INFO - Found by: call frame info
10:20:47 INFO - 10 kernel32.dll!BaseThreadInitThunk + 0x14
10:20:47 INFO - rbx = 0x00000239d195b328 rbp = 0x00007ffd53eccaba
10:20:47 INFO - rsp = 0x00000090345ffdc0 r12 = 0x00007ffd5564e268
10:20:47 INFO - r13 = 0x00007ffd86635c20 r14 = 0x0000000000000000
10:20:47 INFO - r15 = 0x00000090345ff638 rip = 0x00007ffd972b3034
10:20:47 INFO - Found by: call frame info
10:20:47 INFO - 11 ntdll.dll!SdbpCheckMatchingFiles + 0x81
10:20:47 INFO - rbx = 0x00000239d195b328 rbp = 0x00007ffd53eccaba
10:20:47 INFO - rsp = 0x00000090345ffdf0 r12 = 0x00007ffd5564e268
10:20:47 INFO - r13 = 0x00007ffd86635c20 r14 = 0x0000000000000000
10:20:47 INFO - r15 = 0x00000090345ff638 rip = 0x00007ffd98901461
10:20:47 INFO - Found by: call frame info

Jan, some sort of shutdown hang crash in LSNG?

Blocks: 1540402
Flags: needinfo?(jvarga)
Priority: -- → P2

It's not a hang. It's an assertion failure on this line in LSDatabase::Observer::Observe:

  MOZ_ASSERT(gLSDatabases);

This is happening during shutdown, which is not surprising, since we pass the assert that the topic is XPCOM_SHUTDOWN_OBSERVER_TOPIC.

What confuses me is that we don't set up the observer if we haven't set gLSDatabases to a non-null value, and when we null it out again we remove the observer...

Yeah, :asuth already investigated this in bug 1513065 comment 26.
I'm going to work on this.

Flags: needinfo?(jvarga)
Pushed by jvarga@mozilla.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/78f167160710
Invalidate LSDatabase xpcom-shutdown observer after removing it from the observer service; r=asuth
Status: NEW → RESOLVED
Closed: 8 months ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla68
Assignee: nobody → jvarga
You need to log in before you can comment on or make changes to this bug.